<?xml version="1.0" encoding="us-ascii"?>
<!--XBRL document created with Toppan Merrill Bridge  9.6.7811.37134 -->
<!--Based on XBRL 2.1-->
<!--Created on: 8/9/2021 7:30:55 PM-->
<!--Modified on: 8/9/2021 7:30:55 PM-->
<xsd:schema xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:srt="http://fasb.org/srt/2021-01-31" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:country="http://xbrl.sec.gov/country/2021" xmlns:currency="http://xbrl.sec.gov/currency/2021" xmlns:srt-types="http://fasb.org/srt-types/2021-01-31" xmlns:exch="http://xbrl.sec.gov/exch/2021" xmlns:sic="http://xbrl.sec.gov/sic/2021" xmlns:us-types="http://fasb.org/us-types/2021-01-31" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:stpr="http://xbrl.sec.gov/stpr/2021" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:us-gaap="http://fasb.org/us-gaap/2021-01-31" xmlns:dei="http://xbrl.sec.gov/dei/2021" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:naics="http://xbrl.sec.gov/naics/2021" xmlns:negated="http://www.xbrl.org/2009/role/negated" xmlns="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.nclhltd.com/20210630" elementFormDefault="qualified" xmlns:nclh="http://www.nclhltd.com/20210630" xmlns:enum2="http://xbrl.org/2020/extensible-enumerations-2.0" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:us-roles="http://fasb.org/us-roles/2021-01-31" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:srt-roles="http://fasb.org/srt-roles/2021-01-31" xmlns:utr="http://www.xbrl.org/2009/utr" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:attributeFormDefault="unqualified" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:deprecated="http://www.xbrl.org/2009/role/deprecated" xmlns:net="http://www.xbrl.org/2009/role/net">
  <xsd:annotation>
    <xsd:appinfo>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureStandardAndCustomAxisDomainDefaults" id="DisclosureStandardAndCustomAxisDomainDefaults">
        <link:definition>99900 - Disclosure - Standard And Custom Axis Domain Defaults</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/StatementConsolidatedStatementsOfOperations" id="StatementConsolidatedStatementsOfOperations">
        <link:definition>00100 - Statement - Consolidated Statements of Operations</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/StatementConsolidatedStatementsOfComprehensiveLoss" id="StatementConsolidatedStatementsOfComprehensiveLoss">
        <link:definition>00200 - Statement - Consolidated Statements of Comprehensive Loss</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/StatementConsolidatedBalanceSheets" id="StatementConsolidatedBalanceSheets">
        <link:definition>00300 - Statement - Consolidated Balance Sheets</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/StatementConsolidatedStatementsOfCashFlows" id="StatementConsolidatedStatementsOfCashFlows">
        <link:definition>00400 - Statement - Consolidated Statements of Cash Flows</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureSummaryOfSignificantAccountingPoliciesReconciliationBetweenBasicAndDilutedEarningsPerShareDetails" id="DisclosureSummaryOfSignificantAccountingPoliciesReconciliationBetweenBasicAndDilutedEarningsPerShareDetails">
        <link:definition>40202 - Disclosure - Summary of Significant Accounting Policies - Reconciliation between Basic and Diluted Earnings Per Share (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureLongTermDebtInterestExpenseDetails" id="DisclosureLongTermDebtInterestExpenseDetails">
        <link:definition>40603 - Disclosure - Long-Term Debt - Interest Expense (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureLongTermDebtSummaryOfScheduledPrincipalRepaymentsOnLongTermDebtIncludingFinanceLeaseObligationsDetails" id="DisclosureLongTermDebtSummaryOfScheduledPrincipalRepaymentsOnLongTermDebtIncludingFinanceLeaseObligationsDetails">
        <link:definition>40604 - Disclosure - Long-Term Debt - Summary of Scheduled Principal Repayments on Long-Term Debt Including Finance Lease Obligations (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureFairValueMeasurementsAndDerivativesAmountsRecognizedWithinAssetsAndLiabilitiesBasedOnRightOfOffsetDetails" id="DisclosureFairValueMeasurementsAndDerivativesAmountsRecognizedWithinAssetsAndLiabilitiesBasedOnRightOfOffsetDetails">
        <link:definition>40702 - Disclosure - Fair Value Measurements and Derivatives - Amounts Recognized within Assets and Liabilities Based on Right of Offset (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DocumentDocumentAndEntityInformation" id="DocumentDocumentAndEntityInformation">
        <link:definition>00090 - Document - Document and Entity Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/StatementConsolidatedStatementsOfChangesInShareholdersEquity" id="StatementConsolidatedStatementsOfChangesInShareholdersEquity">
        <link:definition>00500 - Statement - Consolidated Statements of Changes in Shareholders' Equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureFairValueMeasurementsAndDerivativesTables" id="DisclosureFairValueMeasurementsAndDerivativesTables">
        <link:definition>30703 - Disclosure - Fair Value Measurements and Derivatives (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureEmployeeBenefitsAndCompensationPlansTables" id="DisclosureEmployeeBenefitsAndCompensationPlansTables">
        <link:definition>30803 - Disclosure - Employee Benefits and Compensation Plans (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureDescriptionOfBusinessAndOrganizationDetails" id="DisclosureDescriptionOfBusinessAndOrganizationDetails">
        <link:definition>40101 - Disclosure - Description of Business and Organization (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureSummaryOfSignificantAccountingPoliciesLiquidityAndManagementSPlanDetails" id="DisclosureSummaryOfSignificantAccountingPoliciesLiquidityAndManagementSPlanDetails">
        <link:definition>40201 - Disclosure - Summary of Significant Accounting Policies - Liquidity and Management's Plan (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureSummaryOfSignificantAccountingPoliciesOtherDetails" id="DisclosureSummaryOfSignificantAccountingPoliciesOtherDetails">
        <link:definition>40205 - Disclosure - Summary of Significant Accounting Policies - Other (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureRevenueRecognitionDisaggregationOfRevenueDetails" id="DisclosureRevenueRecognitionDisaggregationOfRevenueDetails">
        <link:definition>40301 - Disclosure - Revenue Recognition - Disaggregation of Revenue (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureRevenueRecognitionDetails" id="DisclosureRevenueRecognitionDetails">
        <link:definition>40302 - Disclosure - Revenue Recognition (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureLeasesDetails" id="DisclosureLeasesDetails">
        <link:definition>40401 - Disclosure - Leases (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureLeasesLeaseBalancesDetails" id="DisclosureLeasesLeaseBalancesDetails">
        <link:definition>40402 - Disclosure - Leases - Lease Balances (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureAccumulatedOtherComprehensiveIncomeLossDetails" id="DisclosureAccumulatedOtherComprehensiveIncomeLossDetails">
        <link:definition>40501 - Disclosure - Accumulated Other Comprehensive Income (Loss) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureLongTermDebtDetails" id="DisclosureLongTermDebtDetails">
        <link:definition>40601 - Disclosure - Long-Term Debt (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureLongTermDebtConvertibleDebtInstrumentsDetails" id="DisclosureLongTermDebtConvertibleDebtInstrumentsDetails">
        <link:definition>40602 - Disclosure - Long-Term Debt - Convertible Debt Instruments (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureFairValueMeasurementsAndDerivativesDerivativesMeasuredAtFairValueAndDisclosedByBalanceSheetLocationDetails" id="DisclosureFairValueMeasurementsAndDerivativesDerivativesMeasuredAtFairValueAndDisclosedByBalanceSheetLocationDetails">
        <link:definition>40701 - Disclosure - Fair Value Measurements and Derivatives - Derivatives Measured at Fair Value and Disclosed by Balance Sheet Location (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureFairValueMeasurementsAndDerivativesEffectsOfDerivativesDesignatedAsCashFlowHedgesDetails" id="DisclosureFairValueMeasurementsAndDerivativesEffectsOfDerivativesDesignatedAsCashFlowHedgesDetails">
        <link:definition>40703 - Disclosure - Fair Value Measurements and Derivatives - Effects of Derivatives Designated as Cash Flow Hedges (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureFairValueMeasurementsAndDerivativesEffectsOfCashFlowHedgeAccountingOnConsolidatedStatementsOfOperationsDetails" id="DisclosureFairValueMeasurementsAndDerivativesEffectsOfCashFlowHedgeAccountingOnConsolidatedStatementsOfOperationsDetails">
        <link:definition>40704 - Disclosure - Fair Value Measurements and Derivatives - Effects of Cash Flow Hedge Accounting on Consolidated Statements of Operations (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureFairValueMeasurementsAndDerivativesEffectsOfDerivativesNotDesignatedAsHedgingInstrumentsOnConsolidatedStatementsOfOperationsDetails" id="DisclosureFairValueMeasurementsAndDerivativesEffectsOfDerivativesNotDesignatedAsHedgingInstrumentsOnConsolidatedStatementsOfOperationsDetails">
        <link:definition>40705 - Disclosure - Fair Value Measurements and Derivatives - Effects of Derivatives Not Designated as Hedging Instruments on Consolidated Statements of Operations (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureFairValueMeasurementsAndDerivativesDetails" id="DisclosureFairValueMeasurementsAndDerivativesDetails">
        <link:definition>40706 - Disclosure - Fair Value Measurements and Derivatives (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureEmployeeBenefitsAndShareBasedCompensationDetails" id="DisclosureEmployeeBenefitsAndShareBasedCompensationDetails">
        <link:definition>40801 - Disclosure - Employee Benefits and Share-Based Compensation - (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureEmployeeBenefitsAndCompensationPlansSummaryOfShareOptionAwardsDetails" id="DisclosureEmployeeBenefitsAndCompensationPlansSummaryOfShareOptionAwardsDetails">
        <link:definition>40802 - Disclosure - Employee Benefits and Compensation Plans - Summary of Share Option Awards (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureEmployeeBenefitsAndCompensationPlansSummaryOfRestrictedUnitActivityDetails" id="DisclosureEmployeeBenefitsAndCompensationPlansSummaryOfRestrictedUnitActivityDetails">
        <link:definition>40803 - Disclosure - Employee Benefits and Compensation Plans - Summary of Restricted Unit Activity (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureEmployeeBenefitsAndCompensationPlansSummaryOfCompensationExpenseRecognizedForShareBasedCompensationDetails" id="DisclosureEmployeeBenefitsAndCompensationPlansSummaryOfCompensationExpenseRecognizedForShareBasedCompensationDetails">
        <link:definition>40804 - Disclosure - Employee Benefits and Compensation Plans - Summary of Compensation Expense Recognized for Share-Based Compensation (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureCommitmentsAndContingenciesDetails" id="DisclosureCommitmentsAndContingenciesDetails">
        <link:definition>40901 - Disclosure - Commitments and Contingencies (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureSupplementalCashFlowInformationDetails" id="DisclosureSupplementalCashFlowInformationDetails">
        <link:definition>41101 - Disclosure - Supplemental Cash Flow Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureRelatedPartyDisclosuresDetails" id="DisclosureRelatedPartyDisclosuresDetails">
        <link:definition>41201 - Disclosure - Related Party Disclosures (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/StatementConsolidatedBalanceSheetsParenthetical" id="StatementConsolidatedBalanceSheetsParenthetical">
        <link:definition>00305 - Statement - Consolidated Balance Sheets (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureDescriptionOfBusinessAndOrganization" id="DisclosureDescriptionOfBusinessAndOrganization">
        <link:definition>10101 - Disclosure - Description of Business and Organization</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureSummaryOfSignificantAccountingPolicies" id="DisclosureSummaryOfSignificantAccountingPolicies">
        <link:definition>10201 - Disclosure - Summary of Significant Accounting Policies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureRevenueRecognition" id="DisclosureRevenueRecognition">
        <link:definition>10301 - Disclosure - Revenue Recognition</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureLeases" id="DisclosureLeases">
        <link:definition>10401 - Disclosure - Leases</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureAccumulatedOtherComprehensiveIncomeLoss" id="DisclosureAccumulatedOtherComprehensiveIncomeLoss">
        <link:definition>10501 - Disclosure - Accumulated Other Comprehensive Income (Loss)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureLongTermDebt" id="DisclosureLongTermDebt">
        <link:definition>10601 - Disclosure - Long-Term Debt</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureFairValueMeasurementsAndDerivatives" id="DisclosureFairValueMeasurementsAndDerivatives">
        <link:definition>10701 - Disclosure - Fair Value Measurements and Derivatives</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureEmployeeBenefitsAndCompensationPlans" id="DisclosureEmployeeBenefitsAndCompensationPlans">
        <link:definition>10801 - Disclosure - Employee Benefits and Compensation Plans</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureCommitmentsAndContingencies" id="DisclosureCommitmentsAndContingencies">
        <link:definition>10901 - Disclosure - Commitments and Contingencies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureOtherIncomeExpenseNet" id="DisclosureOtherIncomeExpenseNet">
        <link:definition>11001 - Disclosure - Other Income (Expense), Net</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureSupplementalCashFlowInformation" id="DisclosureSupplementalCashFlowInformation">
        <link:definition>11101 - Disclosure - Supplemental Cash Flow Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureRelatedPartyDisclosures" id="DisclosureRelatedPartyDisclosures">
        <link:definition>11201 - Disclosure - Related Party Disclosures</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureSummaryOfSignificantAccountingPoliciesPolicies" id="DisclosureSummaryOfSignificantAccountingPoliciesPolicies">
        <link:definition>20202 - Disclosure - Summary of Significant Accounting Policies (Policies)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureSummaryOfSignificantAccountingPoliciesTables" id="DisclosureSummaryOfSignificantAccountingPoliciesTables">
        <link:definition>30203 - Disclosure - Summary of Significant Accounting Policies (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureRevenueRecognitionTables" id="DisclosureRevenueRecognitionTables">
        <link:definition>30303 - Disclosure - Revenue Recognition (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureLeasesTables" id="DisclosureLeasesTables">
        <link:definition>30403 - Disclosure - Leases (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureAccumulatedOtherComprehensiveIncomeLossTables" id="DisclosureAccumulatedOtherComprehensiveIncomeLossTables">
        <link:definition>30503 - Disclosure - Accumulated Other Comprehensive Income (Loss) (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureLongTermDebtTables" id="DisclosureLongTermDebtTables">
        <link:definition>30603 - Disclosure - Long-Term Debt (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.nclhltd.com/role/DisclosureOtherIncomeExpenseNetDetails" id="DisclosureOtherIncomeExpenseNetDetails">
        <link:definition>41001 - Disclosure - Other Income (Expense), Net (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:linkbaseRef xlink:type="simple" xlink:href="nclh-20210630_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="nclh-20210630_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="nclh-20210630_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="nclh-20210630_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
    </xsd:appinfo>
  </xsd:annotation>
  <xsd:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
  <xsd:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" />
  <xsd:import namespace="http://www.xbrl.org/2009/role/negated" schemaLocation="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd" />
  <xsd:import namespace="http://xbrl.sec.gov/dei/2021" schemaLocation="https://xbrl.sec.gov/dei/2021/dei-2021.xsd" />
  <xsd:import namespace="http://www.xbrl.org/dtr/type/2020-01-21" schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" />
  <xsd:import namespace="http://fasb.org/us-roles/2021-01-31" schemaLocation="https://xbrl.fasb.org/us-gaap/2021/elts/us-roles-2021-01-31.xsd" />
  <xsd:import namespace="http://fasb.org/us-gaap/2021-01-31" schemaLocation="https://xbrl.fasb.org/us-gaap/2021/elts/us-gaap-2021-01-31.xsd" />
  <xsd:import namespace="http://fasb.org/srt/2021-01-31" schemaLocation="https://xbrl.fasb.org/srt/2021/elts/srt-2021-01-31.xsd" />
  <xsd:import namespace="http://xbrl.sec.gov/currency/2021" schemaLocation="https://xbrl.sec.gov/currency/2021/currency-2021.xsd" />
  <xsd:element name="OnboardAndOtherMember" id="nclh_OnboardAndOtherMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="AccruedLiabilitiesAndOtherLiabilitiesCurrent" id="nclh_AccruedLiabilitiesAndOtherLiabilitiesCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element id="nclh_ProvisionForBadDebtsAndInventory" name="ProvisionForBadDebtsAndInventory" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xsd:element name="AdjustmentsToAdditionalPaidInCapitalPaymentsRelatedToTaxWithHoldingForShareBasedCompensation" id="nclh_AdjustmentsToAdditionalPaidInCapitalPaymentsRelatedToTaxWithHoldingForShareBasedCompensation" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="OffsettingInstrumentsTableTextBlock" id="nclh_OffsettingInstrumentsTableTextBlock" type="dtr-types:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element id="nclh_TimeBasedOptionsMember" name="TimeBasedOptionsMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element name="MarketBasedShareOptionAwardsMember" id="nclh_MarketBasedShareOptionAwardsMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="ShipConstructionContractsMember" id="nclh_ShipConstructionContractsMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="DescriptionOfBusinessAndOrganizationTable" id="nclh_DescriptionOfBusinessAndOrganizationTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" />
  <xsd:element name="ShipsLaunchingPeriodAxis" id="nclh_ShipsLaunchingPeriodAxis" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:dimensionItem" />
  <xsd:element name="ShipsLaunchingPeriodDomain" id="nclh_ShipsLaunchingPeriodDomain" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="NorwegianBrandShipsAxis" id="nclh_NorwegianBrandShipsAxis" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:dimensionItem" />
  <xsd:element name="NorwegianBrandShipsDomain" id="nclh_NorwegianBrandShipsDomain" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="ProjectLeonardoMember" id="nclh_ProjectLeonardoMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="DescriptionOfBusinessAndOrganizationLineItems" id="nclh_DescriptionOfBusinessAndOrganizationLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element id="nclh_NumberOfCruiseShips" name="NumberOfCruiseShips" nillable="true" type="xbrli:integerItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" />
  <xsd:element id="nclh_ShipPassengerCapacityBerths" name="ShipPassengerCapacityBerths" nillable="true" type="xbrli:integerItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" />
  <xsd:element id="nclh_ShipPassengerCapacityAdditionalBerths" name="ShipPassengerCapacityAdditionalBerths" nillable="true" type="xbrli:integerItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" />
  <xsd:element name="OtherCountryMember" id="nclh_OtherCountryMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="ScheduleOfSignificantAccountingPoliciesTable" id="nclh_ScheduleOfSignificantAccountingPoliciesTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" />
  <xsd:element name="ScheduleOfSignificantAccountingPoliciesLineItems" id="nclh_ScheduleOfSignificantAccountingPoliciesLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="BreakawayOneLoanMember" id="nclh_BreakawayOneLoanMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="BreakawayTwoLoanMember" id="nclh_BreakawayTwoLoanMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="BreakawayThreeLoanMember" id="nclh_BreakawayThreeLoanMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="BreakawayFourLoanMember" id="nclh_BreakawayFourLoanMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element id="nclh_SeahawkOneTermLoanMember" name="SeahawkOneTermLoanMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_SeahawkTwoTermLoanMember" name="SeahawkTwoTermLoanMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element name="ExplorerNewbuildLoanMember" id="nclh_ExplorerNewbuildLoanMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="MarinaNewbuildLoanMember" id="nclh_MarinaNewbuildLoanMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="RivieraNewbuildLoanMember" id="nclh_RivieraNewbuildLoanMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="NorwegianJewelTermLoanMember" id="nclh_NorwegianJewelTermLoanMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="NclCorporationLtdMember" id="nclh_NclCorporationLtdMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="AccruedExpensesAndOtherLiabilitiesMember" id="nclh_AccruedExpensesAndOtherLiabilitiesMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="DerivativeFairValueOfDerivativeNetLiabilities" id="nclh_DerivativeFairValueOfDerivativeNetLiabilities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="FuelExpenseMember" id="nclh_FuelExpenseMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="DepreciationAndAmortizationExpenseMember" id="nclh_DepreciationAndAmortizationExpenseMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsOutstandingWeightedAverageRemainingContractualTermAbstract" id="nclh_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsOutstandingWeightedAverageRemainingContractualTermAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element id="nclh_TimeBasedUnitsMember" name="TimeBasedUnitsMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_MarketBasedRestrictedStockUnitsMember" name="MarketBasedRestrictedStockUnitsMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element name="PayrollAndRelatedMember" id="nclh_PayrollAndRelatedMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element id="nclh_PerformanceBasedUnitsMember" name="PerformanceBasedUnitsMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element name="Restated2013PerformanceIncentivePlanMember" id="nclh_Restated2013PerformanceIncentivePlanMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="EmployeeMember" id="nclh_EmployeeMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="CommitmentsAndContingenciesDisclosureTable" id="nclh_CommitmentsAndContingenciesDisclosureTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" />
  <xsd:element id="nclh_ShipsLaunchingPeriodIn2022Through2027Member" name="ShipsLaunchingPeriodIn2022Through2027Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element name="CommitmentsAndContingenciesDisclosureLineItems" id="nclh_CommitmentsAndContingenciesDisclosureLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="ContractValue" id="nclh_ContractValue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element name="FinancingPercentage" id="nclh_FinancingPercentage" type="dtr-types:percentItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item" />
  <xsd:element id="nclh_ShipsLaunchingPeriodIn2023Member" name="ShipsLaunchingPeriodIn2023Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_ShipsLaunchingPeriodThrough2027Member" name="ShipsLaunchingPeriodThrough2027Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_NumberOfAdditionalCruiseShips" name="NumberOfAdditionalCruiseShips" nillable="true" type="xbrli:integerItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" />
  <xsd:element id="nclh_ScheduleOfAssetsAndLiabilitiesLeaseTableTextBlock" name="ScheduleOfAssetsAndLiabilitiesLeaseTableTextBlock" nillable="true" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xsd:element id="nclh_ShareBasedAwardAxis" name="ShareBasedAwardAxis" nillable="true" type="xbrli:stringItemType" substitutionGroup="xbrldt:dimensionItem" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_ShareBasedAwardDomain" name="ShareBasedAwardDomain" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_FuelContractMember" name="FuelContractMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_GainLossOnInvoluntaryConversion" name="GainLossOnInvoluntaryConversion" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xsd:element id="nclh_CommissionsTransportationAndOtherMember" name="CommissionsTransportationAndOtherMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_PrideOfAmericaTermLoanMember" name="PrideOfAmericaTermLoanMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_RegentBrandShipsAxis" name="RegentBrandShipsAxis" nillable="true" type="xbrli:stringItemType" substitutionGroup="xbrldt:dimensionItem" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_OceaniaCruisesBrandShipsAxis" name="OceaniaCruisesBrandShipsAxis" nillable="true" type="xbrli:stringItemType" substitutionGroup="xbrldt:dimensionItem" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_RegentBrandShipsDomain" name="RegentBrandShipsDomain" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_OceaniaCruisesBrandShipsDomain" name="OceaniaCruisesBrandShipsDomain" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_DebtInstrumentPrincipleRepaymentPercentAnnually" name="DebtInstrumentPrincipleRepaymentPercentAnnually" nillable="true" type="xbrli:pureItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xsd:element id="nclh_NumberOfClassActionComplaints" name="NumberOfClassActionComplaints" nillable="true" type="xbrli:integerItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xsd:element id="nclh_ScheduleOfDebtInstrumentInterestRateTableTextBlock" name="ScheduleOfDebtInstrumentInterestRateTableTextBlock" nillable="true" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xsd:element id="nclh_SixMonthsLondonInterbankOfferedRateLiborMember" name="SixMonthsLondonInterbankOfferedRateLiborMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_EuroCurrencyLoansMember" name="EuroCurrencyLoansMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_BaseRateLoansMember" name="BaseRateLoansMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_ProceedsFromDebtAndEquityFinancing" name="ProceedsFromDebtAndEquityFinancing" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xsd:element id="nclh_PrivateExchangeableNotesMember" name="PrivateExchangeableNotesMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_DebtInstrumentFirstYearPostIssuanceMember" name="DebtInstrumentFirstYearPostIssuanceMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_DebtInstrumentPrincipalAmountDenominationForConversionInToPreferenceShares" name="DebtInstrumentPrincipalAmountDenominationForConversionInToPreferenceShares" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xsd:element id="nclh_ThresholdPercentageOfAggregatePrincipalAmountOutstandingAfterRedemption" name="ThresholdPercentageOfAggregatePrincipalAmountOutstandingAfterRedemption" nillable="true" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xsd:element id="nclh_CostsToObtainContract" name="CostsToObtainContract" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xsd:element id="nclh_InterestRateAxis" name="InterestRateAxis" nillable="true" type="xbrli:stringItemType" substitutionGroup="xbrldt:dimensionItem" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_InterestRateDomain" name="InterestRateDomain" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_InterestAccreteToPrincipleMember" name="InterestAccreteToPrincipleMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_AdvanceTicketSalesWithCreditCardProcessor" name="AdvanceTicketSalesWithCreditCardProcessor" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="credit" />
  <xsd:element id="nclh_SplendorNewbuildLoanMember" name="SplendorNewbuildLoanMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_ExchangeableSeniorNotesDue2025Member" name="ExchangeableSeniorNotesDue2025Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_DebtModificationCost" name="DebtModificationCost" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xsd:element id="nclh_ScheduleOfInterestExpenseRecognitionTableTextBlock" name="ScheduleOfInterestExpenseRecognitionTableTextBlock" nillable="true" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xsd:element id="nclh_LCattertonMember" name="LCattertonMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_BeneficialOwnership" name="BeneficialOwnership" nillable="true" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" />
  <xsd:element id="nclh_InvestorOwnershipThreshold" name="InvestorOwnershipThreshold" nillable="true" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" />
  <xsd:element id="nclh_DebtInstrumentConvertibleIfConvertedShares" name="DebtInstrumentConvertibleIfConvertedShares" nillable="true" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xsd:element id="nclh_NewBuildRelatedTermLoanMember" name="NewBuildRelatedTermLoanMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_ReservesMaintainedCreditCardProcessor" name="ReservesMaintainedCreditCardProcessor" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="debit" />
  <xsd:element id="nclh_FundingAdvanceTicketSalesDepositWithCreditCardProcessorPercentage" name="FundingAdvanceTicketSalesDepositWithCreditCardProcessorPercentage" nillable="true" type="dtr-types:percentItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xsd:element id="nclh_CreditCardProcessorExposureAmount" name="CreditCardProcessorExposureAmount" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="credit" />
  <xsd:element id="nclh_CreditCardProcessorReserveShortfall" name="CreditCardProcessorReserveShortfall" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xsd:element id="nclh_DebtRedemptionPriorToDecember152025Member" name="DebtRedemptionPriorToDecember152025Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_DebtRedemptionOnOrAfterDecember152025Member" name="DebtRedemptionOnOrAfterDecember152025Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_FinancialCovenantMinimumLiquidityToBeMaintained" name="FinancialCovenantMinimumLiquidityToBeMaintained" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="debit" />
  <xsd:element id="nclh_CovenantReliefPeriodDecember312022Member" name="CovenantReliefPeriodDecember312022Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_DeferredAmortizationPayments" name="DeferredAmortizationPayments" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xsd:element id="nclh_SecondDeferralPeriodMember" name="SecondDeferralPeriodMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_SeniorUnsecuredNotesDue2028Member" name="SeniorUnsecuredNotesDue2028Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_DebtRedemptionPriorToDecember152027Member" name="DebtRedemptionPriorToDecember152027Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_DebtRedemptionOnOrAfterDecember152027Member" name="DebtRedemptionOnOrAfterDecember152027Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_ShipsLaunchingPeriodIn2023And2025Member" name="ShipsLaunchingPeriodIn2023And2025Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_GrossTons" name="GrossTons" nillable="true" type="xbrli:integerItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" />
  <xsd:element id="nclh_DebtRedemptionPriorToDecember152022Member" name="DebtRedemptionPriorToDecember152022Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_DebtRedemptionPriorToMarch152024Member" name="DebtRedemptionPriorToMarch152024Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_DeferredExportCreditLoansMember" name="DeferredExportCreditLoansMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_ExchangeableSeniorNotesDue2024Member" name="ExchangeableSeniorNotesDue2024Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_SeniorUnsecuredNotesDue2026Member" name="SeniorUnsecuredNotesDue2026Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_DeferredTermLoanA0Member" name="DeferredTermLoanA0Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_DeferredTermLoanA1Member" name="DeferredTermLoanA1Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="nclh_DeferredTermLoanA2Member" name="DeferredTermLoanA2Member" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element name="ShipsLaunchingPeriodIn2023Through2025Member" id="nclh_ShipsLaunchingPeriodIn2023Through2025Member" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration" abstract="true" />
  <xsd:element name="NumberOfCreditFacilitiesAmended" id="nclh_NumberOfCreditFacilitiesAmended" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration" abstract="false" />
  <xsd:element name="AwardedOnJune2021Member" id="nclh_AwardedOnJune2021Member" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration" abstract="true" />
  <xsd:element name="DeferredLoansMember" id="nclh_DeferredLoansMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration" abstract="true" />
  <xsd:element name="ExchangeableNotes2024AndPrivateExchangeableNotesMember" id="nclh_ExchangeableNotes2024AndPrivateExchangeableNotesMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration" abstract="true" />
</xsd:schema>